FastCGI + Apache versions

software development

#1

I’m running Apache2.2 at home on an Ubuntu box. I have FastCGI and Rails installed. To get FastCGI to work at home I have to use:

AddHandler fcgid-script .fcgi

in my public/.htaccess file.

On Dreamhost though things seem to work fine with:

AddHandler fastcgi-script .fcgi

instead.

Is there a way to make the Dreamhost environment work correctly with fcgid-script instead of fastcgi-script so that I can keep everything in sync within CVS and not have to change it every time I deploy the latest version onto the Dreamhost server? In other words, can both mechanisms co-exist peacefully?

Thanks.


#2

Hi,

I wonder if you figured this out? I am having problems with FastCGI and I have read some posts where people strongly recoomend using fcgid with Apache 2.

Thanks,
Vladimir


#3

I actually have just started doing all my Ruby development on my local machine. I haven’t tried again on the dreamhost server.